# Generated by Django 2.0.5 on 2019-12-18 09:06

import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0076_auto_20191118_0714'),
        ('config_compliance', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='RuleVariable',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=32)),
                ('description', models.CharField(max_length=250)),
                ('variable_code', models.CharField(max_length=32)),
                ('type', models.CharField(choices=[('IP', 'IP'), ('HOSTNAME', 'HOSTNAME'), ('EMAIL', 'EMAIL')], max_length=100)),
                ('option', models.CharField(choices=[('AND', 'AND'), ('OR', 'OR')], max_length=100)),
                ('variable_values', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=100), blank=True, null=True, size=None)),
                ('customer', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='accounts.Customer')),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='accounts.Provider')),
            ],
        ),
        migrations.AlterUniqueTogether(
            name='rulevariable',
            unique_together={('provider', 'variable_code')},
        ),
    ]
